rem  Book index preparation programs, (C) Copyright Peter Norton 1983
rem  
rem                  Peter Norton
rem                  The Norton Utilities
rem                  2210 Wilshire Blvd, # 186
rem                  Santa Monica, CA 90403
rem                  
rem  This is a simple and straightforward set of programs and 
rem  procedures intended to reduce some of the work of preparing book 
rem  indices.
rem
pause  press a key for more information . . .
rem  
rem  This system is not particularly fancy, and it may not have every 
rem  feature that you might want, but it should fulfill most of your 
rem  indexing needs.
rem      
rem  Before you invest any large effort in using this system, 
rem  experiment with it to be sure that you can get satisfactory 
rem  results from it.
rem
pause  press a key for more information . . .
rem  
rem  This system works in six simple stages, which you use as needed:
rem    1) START - this begins the process by setting up an empty data file
rem    2) ENTER - this lets you type in index entries in any order
rem    3) if you made errors in step 2, you correct them with your 
rem          word-processor/editor
rem    4) COMBINE - this sorts and merges your new index entries with 
rem          any which you entered before
rem    5) INDEX - this formats an index from your data
rem    6) if there are any errors in the index you correct them
rem
pause  press a key for more information . . .
rem  
rem  The normal way to use this system is to do step 1 (START) once, 
rem  and then repeat steps 2 through 4 as many times as you wish, 
rem  adding index entries in as many working sessions as you wish; 
rem  finally, with steps 5 and 6 you complete the index.
rem  
rem  For all the steps but 3 and 6, there are 'batch' files which 
rem  supervise the work of that step.  To perform these steps, simply 
rem  type in the step name, START, ENTER, COMBINE or INDEX.  To make 
rem  corrections, use your word-processor/editor program.
rem
pause  press a key for more information . . .
rem  
rem  All of these operations are set up to work with the program 
rem  diskette in drive A, and a working data diskette in drive B.
rem
rem  Here is some more detail information about each step:
rem  
rem  1) START -- this step copies an empty file to the file which is 
rem      used to accumulate your index data, MERGED.DAT.
rem
pause  press a key for more information . . .
rem  
rem  2) ENTER -- this operates a special data-entry program which 
rem      allows you to type in index entries in a convenient way.  
rem      Note the message that appears at the beginning of this 
rem      program, explaining the function keys f1, f2 and f10.
rem      To use this program, you simply type in index entries, and 
rem      press return; page numbers are copied automatically.  Page 
rem      numbers can be automatically increased by pressing f2, and 
rem      new page numbers can be specified by pressing f1.  Page 
rem      'numbers' do not need to be all numeric-- you may use page 
rem      numbers like "A-10", "5-13", or "xi".
rem
pause  press a key for more information . . .
rem  
rem      You may type index entries in any order, since step 4, 
rem      COMBINE, will sort the entries.  You may find it convenient 
rem      to abbreviate the index entries as you type them in, and 
rem      then change them later, after the index has been built.
rem      
rem      For speed, convenience and safety, I recommend entering no 
rem      more than one or two hundred entries at a time.  You can 
rem      then correct and COMBINE them, before returning to this 
rem      stage to enter more.
rem
pause  press a key for more information . . .
rem  
rem  3) If you made any errors in step 2, you may correct them with 
rem      your word-processor or editor program.  The data you entered 
rem      in step 2 will be found in a file named "ENTER.DAT".  Be 
rem      careful to maintain the format of the data (page number in 
rem      the first six positions, "=" in the seventh, followed by the 
rem      entry information).
rem
pause  press a key for more information . . .
rem  
rem  4) After you make any necessary corrections, this COMBINE stage 
rem      will sort your new index data, and merge it together with 
rem      data from other working sessions.  The sorting process can 
rem      become quite lengthy if there are more than one or two 
rem      hundred new entries.  (The results are left in a file named 
rem      MERGED.DAT, if corrections are needed.)  
rem
pause  press a key for more information . . .
rem  
rem  5) The INDEX stage will format your data into an index.  The 
rem      results are displayed on the screen, and also written to a 
rem      file named "INDEX".  In principle you would only use this 
rem      step once, when you have entered all of your data, but you 
rem      may want to try it after each ENTER and COMBINE operation, 
rem      to check the results so far.
rem
pause  press a key for more information . . .
rem  
rem  6) Finally, you should check the formatted index for errors, and 
rem      make any corrections needed.  After that, you may print the 
rem      finished index.  If you entered page numbers in any unusual 
rem      format, you should check that they have been sorted into the 
rem      order you wish them to appear-- if not, you may correct them 
rem      in the finished index.  In most cases, both numeric page 
rem      numbers and other forms of page number will sort into the 
rem      right order; but, for example, roman numerals will not.
rem  